#ifndef COMPLEX_H
#define COMPLEX_H

#include <string>
using namespace std;

class Complex {
public:
	Complex(string var, int re, int im);
	Complex(string z);

	void print();

	Complex* add(string var, Complex* other);
	Complex* sub(string var, Complex* other);

private:
	void fetchName(string z, int& i);
	void fetchReal(string z, int& i);
	void fetchImag(string z, int& i);
	void skipSpaces(string z, int& i);

	int re, im;
	string var;
};

#endif
