#ifndef POSITION_H
#define POSITION_H

#define ROW_MAX 8
#define ROW_MIN 1
#define COL_MAX 'H'
#define COL_MIN 'A'

enum Direction {
	UP, LEFT, DOWN, RIGHT
};

class Position {
public:
	Position();
	Position(int row, char column);

	void setPosition(int row, char column);
	void print();
	void move(Direction direction);
	bool sameDirection(Position* other);
	bool samePosition(Position* other);

	int getRow();
	char getColumn();

private:
	int row;
	char column;
};

#endif